Update Envelope Field
Path Parameters
envelope_id*string
The ID of the envelope to retrieve.
Format
uuidrole_name*string
The role to submit. Be sure to URL-encode the value.
field_name*string
The name of the field to update. Be sure to URL-encode the value.
value*string
The value to set. For signature/initial fields, the UUID of the signature/initial block. For attachment fields, a file uploaded in a FORM-POST field named "document". For checkbox/radio buttons, a boolean. For all other fields, a string.
Request Body
application/json
Body Parameters
TypeScript Definitions
Use the request body type in TypeScript.
value*string
Value to set.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.verdocs.com/v2/envelopes/497f6eca-6276-4993-bfeb-53cbbbba6f08/fields/string" \ -H "Content-Type: application/json" \ -d '{ "value": "string" }'{
"default": "string",
"document_id": "string",
"envelope_id": "string",
"group": "string",
"height": 0,
"label": "string",
"multiline": true,
"name": "string",
"options": "string",
"page": 0,
"placeholder": "string",
"prepared": "string",
"readonly": "string",
"required": "string",
"role_name": "string",
"settings": "string",
"type": "string",
"width": 0,
"x": 0,
"y": 0
}{
"status": "ERROR",
"error": "string"
}{
"status": "ERROR",
"error": "string"
}{
"status": "ERROR",
"error": "string"
}{
"status": "ERROR",
"error": "string"
}